function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

export var getClassName = function getClassName(str) {
  return 'depEmpPicker-' + str;
};
export var updateTreeData = function updateTreeData(list, key, children) {
  return list.map(function (node) {
    if (node.key === key) {
      return _objectSpread(_objectSpread({}, node), {}, {
        children: children
      });
    }

    if (node.children) {
      return _objectSpread(_objectSpread({}, node), {}, {
        children: updateTreeData(node.children, key, children)
      });
    }

    return node;
  });
};
export var getNowDate = function getNowDate() {
  var date = new Date();
  var year = date.getFullYear();
  var month = '0' + (date.getMonth() + 1);
  var realMonth = month.slice(-2);
  var day = ('0' + date.getDate()).slice(-2);
  return "".concat(year, "-").concat(realMonth, "-").concat(day);
};