import React from 'react';
import type { FilterProps, FieldsType, ItemsMapType } from './interface';
import './style/index.less';
export declare const FilterContext: React.Context<{
    items: FilterProps['items'];
    total: FilterProps['total'];
    unit: FilterProps['unit'];
    filterOk: FilterProps['filterOk'];
    fields?: FieldsType | undefined;
    setFields: (selected: FieldsType) => void;
    itemsMap: ItemsMapType;
} | null>;
declare const Filter: {
    (props: FilterProps): JSX.Element;
    defaultProps: {
        trigger: string;
        btnText: string;
        unit: string;
        total: number;
        showSelectedTag: boolean;
    };
};
export default Filter;
