var _excluded = ["children", "onOkClick"];

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { useState } from 'react';
import { Button, Space, Popover } from 'rlj-design';
import classnames from 'classnames';
import styles from "./index.less";
import { ExclamationCircleOutlined } from '@ant-design/icons';

var PopConfirmDel = function PopConfirmDel(_ref) {
  var children = _ref.children,
      onOkClick = _ref.onOkClick,
      rest = _objectWithoutProperties(_ref, _excluded);

  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      open = _useState2[0],
      setOpen = _useState2[1];

  var handleClose = function handleClose() {
    setOpen(false);
  };

  var handleOk = function handleOk() {
    onOkClick(setOpen);
  };

  var content = /*#__PURE__*/React.createElement("div", {
    className: styles.container
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.titleDiv
  }, /*#__PURE__*/React.createElement(ExclamationCircleOutlined, {
    style: {
      color: 'red',
      fontSize: 20
    }
  }), /*#__PURE__*/React.createElement("span", {
    className: styles.title
  }, "\u786E\u5B9A\u5220\u9664\u5417\uFF1F")), /*#__PURE__*/React.createElement("div", {
    className: styles.desc
  }, "\u5220\u9664\u540E\uFF0C\u6570\u636E\u5C06\u65E0\u6CD5\u6062\u590D"), /*#__PURE__*/React.createElement("div", {
    className: styles.btn
  }, /*#__PURE__*/React.createElement(Space, {
    size: 8
  }, /*#__PURE__*/React.createElement(Button, {
    onClick: handleClose
  }, "\u53D6\u6D88"), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    danger: true,
    onClick: handleOk
  }, "\u5220\u9664"))));
  return /*#__PURE__*/React.createElement(Popover, {
    content: content,
    trigger: "click",
    showArrow: false,
    open: open,
    overlayClassName: classnames(styles.popover),
    onOpenChange: function onOpenChange(visible) {
      return setOpen(visible);
    }
  }, children);
};

export default PopConfirmDel;