var _templateObject, _templateObject2, _templateObject3;

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

import styled from 'styled-components';
import { Tabs, Badge } from 'rlj-design';
import { default_text_color, wrapper_bg_color, default_border_color } from "../../constants/dictionary";
export var StyledTabs = styled(Tabs)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  .ant-tabs-tab {\n    width: 100%;\n    flex: 1;\n    justify-content: center;\n    position: relative;\n    padding: ", ";\n    border: 1px solid rgba(0, 0, 0, 0);\n    transition: all 0.2s ease;\n    font-weight: 400;\n    &:hover,\n    :active {\n      color: ", ";\n    }\n  }\n\n  .ant-tabs-tab-active {\n    position: relative;\n    background-color: ", ";\n    border-top-left-radius: 8px;\n    border-top-right-radius: 8px;\n    border: 1px solid ", ";\n    border-bottom: 1px solid ", ";\n    & .ant-tabs-tab-btn {\n      color: ", " !important;\n    }\n    & .ant-badge-count-sm {\n      color: ", ";\n      background-color: #d9dce2;\n    }\n  }\n  .ant-tabs-ink-bar {\n    background: rgba(0, 0, 0, 0);\n    &::before {\n      content: '';\n      position: absolute;\n      width: 24px;\n      height: 3px;\n      background-color: #0050de;\n      border-radius: 2px;\n      left: 50%;\n      bottom: 1px;\n      border-radius: 3px;\n      transform: translateX(-50%);\n    }\n  }\n\n  .ant-tabs-nav-wrap {\n    padding: 0 16px;\n  }\n\n  .ant-tabs-nav {\n    margin: 3px 0 0 0 !important;\n    &::before {\n      border-width: 0;\n    }\n  }\n  .ant-tabs-tab-btn:active {\n    color: ", ";\n  }\n"])), function (_ref) {
  var tabpadding = _ref.tabpadding;
  return tabpadding || '8px 24px';
}, default_text_color, wrapper_bg_color, default_border_color, wrapper_bg_color, default_text_color, default_text_color, default_text_color);
export var StyledTabExpand = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n"]))); // Badge组件样式调整

export var StyledBadge = styled(Badge)(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  .ant-badge-count-sm {\n    min-width: 16px;\n    height: 16px;\n    line-height: 16px;\n    border-radius: 8px;\n    box-shadow: none;\n    color: #7f7f85;\n    background-color: rgba(217, 220, 226, 0.6);\n  }\n\n  .ant-badge-multiple-words {\n    padding: 0 4px;\n  }\n"])));