import React from 'react';
import type { TableUnit, TableColumns } from '../Interface/index';
import type { TableCellType } from '../Interface/display';
interface CellType {
    isMergeRow?: boolean;
    rowIndex: number;
    subRowIndex: number;
    isMergeCol?: boolean;
    columnIndex: number;
    subColumnIndex: number;
    currentData: TableUnit;
    currentColumn: TableColumns<TableUnit>;
    mergeData?: Pick<TableUnit, 'mergeField' | 'mergeArr'>;
}
export default function Undertake(Comp: React.FC<TableCellType>): (props: CellType) => JSX.Element;
export {};
