import type { SelectProps } from 'rlj-design/dist';
import type { DefaultOptionType } from 'antd/lib/select';
import type { Service } from 'ahooks/lib/useRequest/src/types.d';
import React from 'react';
export interface ProSelectProps extends SelectProps {
    /** 搜索类型 */
    type?: 'sureOffBoarding' | 'mobilize';
    /** 搜索接口 */
    searchAction: Service<unknown, any[]>;
    /** 自定义搜索参数 */
    searchParams?: {};
    /** 自定义选项内容 */
    optionRender?: (item: OptionItemType) => React.ReactNode;
}
export interface OptionItemType extends DefaultOptionType {
    dept_chain: string;
    empId: string;
}
