import type { IdType, PaginationType, Sorter } from './base';
import type { ColDataType } from './display';
export declare type OnChangeType = (pagination: PaginationType, filters: {
    address: any;
    name: any;
}, sorter: Sorter, extra: {
    currentDataSource: object[];
    action: 'sort' | 'paginate';
}) => void;
export declare type EditChangeType = (allChangeData: ColDataType['changeDataSource'], curChangeData: {
    curData: string;
    dataIndex: IdType;
    dataRowId: IdType;
}[], changeType: 'change' | 'delete' | 'add') => void;
